"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const date_1 = require("../src/utils/date");
describe('utils/date', function () {
    describe('interledgerTimeToDate', function () {
        it('matches dateToInterledgerTime', function () {
            for (let i = 0; i < 1000; i++) {
                const year = randomBetween(1000, 10000);
                const month = randomBetween(0, 12);
                const day = randomBetween(0, 28);
                const hour = randomBetween(0, 24);
                const minute = randomBetween(0, 60);
                const second = randomBetween(0, 60);
                const millisecond = randomBetween(0, 1000);
                const date = new Date(Date.UTC(year, month, day, hour, minute, second, millisecond));
                const ilpDate = date_1.dateToInterledgerTime(date);
                assert.deepEqual(date_1.interledgerTimeToDate(ilpDate), date);
            }
        });
    });
});
function randomBetween(min, max) {
    return min + Math.floor(Math.random() * (max - min));
}
//# sourceMappingURL=date.spec.js.map