"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const __1 = require("..");
describe('Types', function () {
    describe('isPrepare', function () {
        it('returns true for valid prepare', function () {
            chai_1.assert.isTrue(__1.isPrepare({
                destination: '',
                amount: '',
                executionCondition: Buffer.alloc(0),
                expiresAt: new Date(),
                data: Buffer.alloc(0)
            }));
        });
        it('returns false for invalid prepare', function () {
            chai_1.assert.isFalse(__1.isPrepare({
                code: '',
                triggeredBy: '',
                message: '',
                data: Buffer.alloc(0)
            }));
        });
    });
    describe('isFulfill', function () {
        it('returns true for valid fullfill', function () {
            chai_1.assert.isTrue(__1.isFulfill({
                fulfillment: Buffer.alloc(0),
                data: Buffer.alloc(0)
            }));
        });
        it('returns false for invalid fullfill', function () {
            chai_1.assert.isFalse(__1.isFulfill({
                code: '',
                triggeredBy: '',
                message: '',
                data: Buffer.alloc(0)
            }));
        });
    });
    describe('isReject', function () {
        it('returns true for valid reject', function () {
            chai_1.assert.isTrue(__1.isReject({
                code: '',
                triggeredBy: '',
                message: '',
                data: Buffer.alloc(0)
            }));
        });
        it('returns false for invalid reject', function () {
            chai_1.assert.isFalse(__1.isReject({
                fulfillment: Buffer.alloc(0),
                data: Buffer.alloc(0)
            }));
        });
    });
});
//# sourceMappingURL=typing.spec.js.map